Batch Update Member Balance Of A Currency
Batch update the balances of multiple DRIP users in a realm by their drip ids and currency id. All updates are applied in a single transaction, so if any update fails, the entire batch will fail.
PATCH
/
api
/
v1
/
realms
/
{realmId}
/
members
/
transaction
Batch Update Member Balance Of A Currency
curl --request PATCH \
--url https://api.drip.re/api/v1/realms/{realmId}/members/transaction \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"dripId": "<string>",
"amount": 123,
"currencyId": "<string>"
}
],
"initiatorId": "<string>"
}
'import requests
url = "https://api.drip.re/api/v1/realms/{realmId}/members/transaction"
payload = {
"updates": [
{
"dripId": "<string>",
"amount": 123,
"currencyId": "<string>"
}
],
"initiatorId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updates: [{dripId: '<string>', amount: 123, currencyId: '<string>'}],
initiatorId: '<string>'
})
};
fetch('https://api.drip.re/api/v1/realms/{realmId}/members/transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"updates": [
{
"dripId": "<string>",
"balance": 123,
"currencyId": "<string>",
"newBalance": 123
}
]
}{
"error": "<string>"
}Was this page helpful?
Previous
Transfer Member Balance Of A CurrencyTransfer points from one DRIP user to another in a realm by their drip ids and currency id
Next
⌘I
Batch Update Member Balance Of A Currency

